Bug 622916 - Coolkey not recognizing DoD CACs on Gemalto TOPDLGX4 144K cards.
Summary: Coolkey not recognizing DoD CACs on Gemalto TOPDLGX4 144K cards.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coolkey   
(Show other bugs)
Version: 6.0
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Bob Relyea
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 19:05 UTC by Asha Akkiangady
Modified: 2015-01-04 23:43 UTC (History)
5 users (show)

Fixed In Version: coolkey-1.1.0-16.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 593017
Environment:
Last Closed: 2010-11-10 20:01:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 7 Asha Akkiangady 2010-08-12 18:18:15 UTC
Tested the following with TOPDLGX4 144K smart card.

- On a Rhel 6 desktop installed coolkey-1.1.0-16.el6.
- used a omnikey cardman 3121 (ccid) reader
- configured the rhel 6 machine to do smartcard login. loaded up the root certs
  onto both /etc/pki/nssdb and firefox db
- ESC application is able to recognize the card insertion and removal
- ESC application - view certificates shows that the certs are all verified
- firefox is able to view the certs.

- Used the card to perform smart card login. Success.
- enabled screen lock upon card removal. success.
- gdm unlocks the screen once the card is inserted and enter the correct pin.
- gdm greeter recognizes insertion/removal screens successfully.


Smartcard login with Gemalto 64K card and omnikey reader for a kerberos user as well as a local user is successful.

Marking this bug verified.

Comment 8 releng-rhel@redhat.com 2010-11-10 20:01:45 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.